Descuento 20% Diciembre
Plugin Optimización de Imágenes Gratuito para WordPress
Jueves, 30 Abril 2015 20:23

Actualizar manualmente de Moodle 2.6.x a 2.7.x

Escrito por 
CMS:  Moodle |  Versión:  2.6.x - 2.7.x |  Nivel de dificultad:  Básico |  Tiempo estimado de lectura:  15 minutos


Actualizar manualmente Moodle 2.6.x a 2.7.7Moodle es una plataforma de e-Learning que evoluciona muy deprisa en los últimos años, principalmente en cuestiones de seguridad, sin olvidarse que su foco principal es ofrecer a profesores, academias, Universidades y otros la posibilidad de facilitar el acceso a la enseñanza online por medio de su plataforma.

Lo que determina que una instalación es vulnerable y debe ser actualizada es el descubrimiento de fallos en el código de Moodle que puede comprometer instalaciones en funcionamiento, causando que estas revelen datos de alumnos y cursos o que se vean afectadas por algún tipo de ataque que las deje sin servicio.

Mantener Moodle actualizado a las versiones estables debería ser una de las prioridades importantes en la lista de todo administrador de plataformas Moodle, de manera que el seguimiento constante de versiones, las copias de seguridad y actualizaciones ayuden a garantizar la estabilidad y funcionamiento.

Las nuevas versiones de Moodle necesitan de PHP 5.4 o superior para funcionar, y esto marca un antes y un después que los administradores de sitios Moodle deben tener muy presenta para llevar a cabo actualizaciones a versiones estables con éxito.

Los usuarios que aún se mantienen en versiones no estables, 2.5 y principalmente 2.6 deben plantearse, previa copia de seguridad, actualizar a 2.7.7 estable (a fecha de abril de 2015) para posteriormente poder pasar a Moodle 2.8.5 o versiones superiores.

Como medida de precaución siempre recomendamos probar la actualización primeramente en una COPIA de tu sitio Moodle en producción, para asegurarte de que funciona como esperas.

Lo normal en versiones estables es poder actualizar previa verificación de la existencia de nuevas versiones si se tiene habilitada está opción en la Administración del sitio, Servidor, Notificaciones de actualización.

Al acceder a desde el menú Administración del sitio al apartado Notificaciones podemos ver si hay actualizaciones disponibles automáticas haciendo clic en el botón Compruebe actualizaciones disponibles y si las hay veremos algo similar a lo mostrado en la siguiente captura:



Para actualizaciones desde la versión 2.6.x (en este caso la 2.6.10) es recomendable pasar primero por la versión 2.7.7 antes de subir a la estable del momento, actualmente la 2.8.5+

¿Que copia de seguridad tengo que realizar antes de actualizar?

  • Los archivos de la instalación, por ejemplo /public_html/moodle
  • Los archivos de datos generados y subidos a la instalación de Moodle, por ejemplo /moodledata
  • La base de datos de Moodle desde phpMyAdmin.

El procedimiento de actualización es manual, ya que implica pasar de usar una versión de PHP 5.2/5.3 a usar PHP 5.4 o 5.5 y este cambio de versiones de PHP puede afectar a las actualizaciones automáticas.

La actualización manual no se ve afectada porque se tenga determinada versión de PHP activa, ya que es una escritura manual de archivos.

Pasos para actualizar manualmente de Moodle 2.6.x a 2.7.x:

  1. Realizar una copia de seguridad de la instalación de Moodle, la carpeta /moodledata y de la base de datos.
  2. Activar en la administración de Moodle el "Modo Mantenimiento".
  3. Renombrar el archivo config.php a config.php_seg (por seguridad).
  4. Descargar la versión estable de Moodle 2.7.7.
  5. Extraer el archivo descargado moodle-latest-27.zip en el ordenador.
  6. Acceder a la carpeta del archivo zip descomprimido y comprimir los archivos contenidos (desde dentro de la carpeta) (1)
  7. Subir el archivo .zip creado, de la actualización, a la carpeta de Moodle en el servidor.
  8. Extraer el archivo .zip una vez subido.
  9. Renombrar el archivo config.php_seg a config.php nuevamente.
  10. Mover la carpeta /public_html/moodle/moodledata fuera de /public_html por seguridad, si no lo estuviese.
  11. Deshabilitar el Modo de Mantenimiento.
  12. Verificar que ya disponemos de la nueva versión accediendo al /admin de Moodle, Notificaciones.

(1) Con el fin de evitar que al extraer el archivo original descargado moodle-latest-27.zip en el servidor, se extraigan los contenidos en una nueva carpeta llamada /moodle.

Moodle se ve sujeto a constantes cambios y mejoras en el código, orientadas a corregir fallos de seguridad o añadir nuevas funcionalidades. Mantenerlo actualizado garantiza su correcto funcionamiento en circunstancias normales de uso.



¿Te ha resultado interesante este artículo?

Suscríbete para recibir consejos exclusivos para WordPress, Joomla y PrestaShop



Luis Méndez Alejo

Miembro del equipo técnico de Webempresa.
Coordinador de contenidos en el Blog y en Youtube.
Google+


Plugin Optimización de Imágenes Gratuito para WordPress